<?xml version="1.0" encoding="UTF-8" ?>

<xsl:stylesheet version="1.0" 
    xmlns:xsl="http://www.w3.org/1999/XSL/Transform" 
    xmlns:segdrive="http://schemas.tempuri.org/2007/03/segwaydrive.html"
    xmlns:drive="http://schemas.microsoft.com/robotics/2006/05/drive.html">

  <xsl:import href="/resources/dss/Microsoft.Dss.Runtime.Home.MasterPage.xslt" />

  <xsl:template match="/">
    <xsl:variable name="title">
      Segway RMP Drive Service
    </xsl:variable>
    <xsl:variable name="serviceName">
      SegwayDrive
    </xsl:variable>
    <xsl:variable name="description">
      The generic differential drive service for the Segway RMP
    </xsl:variable>

    <xsl:call-template name="MasterPage">
      <xsl:with-param name="serviceName" select="$serviceName" />
      <xsl:with-param name="description" select="$description" />
      <xsl:with-param name="title" select="$title" />
    </xsl:call-template>
  </xsl:template>

  <xsl:template match="/drive:DriveDifferentialTwoWheelState">
    <html>
      <body style="overflow: visible;">

        <table style="width: 650px; text-align: left;" border="0" cellpadding="2" cellspacing="2">
          <tbody>
            <tr>
              <td>
                <form name="Actions" action="" method="post">
                  <table class="style2" width="100%">

                    <tbody>
                      <tr >
                        <td class="style3" style="width: 25%; text-align:center">
                          <input
                            value="Start Dashboard" 
                            name="StartDashboard"
                            type="submit"/>
                        </td>
                        <td class="style3" style="width: 25%; text-align:center">
                          <input
                            value="Enable Drive" 
                            name="EnableDrive" 
                            type="submit"/>
                        </td>
                        <td class="style3" style="width: 25%; text-align:center">
                          <input
                            value="Disable Drive" 
                            name="DisableDrive" 
                            type="submit"/>
                        </td>
                        <td class="style3" style="text-align:center">
                          <input 
                            value="All Stop"
                            name="AllStop" 
                            type="submit"/>
                        </td>
                      </tr>
                    </tbody>

                  </table>
                </form>
              </td>
            </tr>
            <tr>
              <td style="height: 99px;">
                <form name="DrivePower" action="" method="post">
                  <table class="style2" width="100%">
                    <tbody>
                      <tr>
                        <th colspan="3" style="text-align: left">Drive Power</th>
                      </tr>
                      <tr>
                        <td rowspan="2">
                          <img alt="Drive straight with a specified power." src="/Resources/SegwayServices.Y2007.M03/Robotics.SegwayServices.DrivePower.png"/>
                        </td>
                        <td>Power</td>
                        <td></td>
                      </tr>
                      <tr>
                        <td style="width: 150px;">
                          <input size="15" value="0.6" name="Power"/>
                        </td>
                        <td style="width: 50px;">
                          <input value=" Go " name="DrivePower" type="submit"/>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </form>
              </td>
            </tr>
            <tr>
              <td>
                <form name="DriveDistance" action=""  method="post">
                  <table class="style2" width="100%">
                    <tbody>
                      <tr>
                        <th colspan="4" style="text-align: left">Drive Distance</th>
                      </tr>
                      <tr>
                        <td rowspan="2">
                          <img alt="Drive straight for a specified distance." src="/Resources/SegwayServices.Y2007.M03/Robotics.SegwayServices.DriveDistance.png"/>
                        </td>
                        <td style="height: 20px;">Distance (meters)</td>
                        <td style="height: 20px;">Power</td>
                        <td style="height: 20px;"></td>
                      </tr>
                      <tr>
                        <td style="width: 150px;">
                          <input size="15" value="1.0" name="Distance"/>
                        </td>
                        <td style="width: 150px;">
                          <input size="15" value="0.6" name="Power"/>
                        </td>
                        <td style="width: 50px;">
                          <input value=" Go " name="DriveDistance" type="submit"/>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </form>
              </td>
            </tr>
            <tr>
              <td>
                <form name="RotateAngle" action="" method="post">
                  <table class="style2" width="100%">
                    <tbody>
                      <tr>
                        <th colspan="4" style="text-align: left">Rotate Angle</th>
                      </tr>
                      <tr>
                        <td rowspan="2">
                          <img alt="Rotate a specified number of degrees." src="/Resources/SegwayServices.Y2007.M03/Robotics.SegwayServices.RotateAngle.png"/>
                        </td>
                        <td style="height: 19px;">Angle (degrees)</td>
                        <td style="height: 19px;">Power</td>
                        <td style="height: 19px;"></td>
                      </tr>
                      <tr>
                        <td style="width: 150px;">
                          <input 
                            size="15"
                            value="30" 
                            name="Angle"/>
                        </td>
                        <td style="width: 150px;">
                          <input 
                            size="15"
                            value="0.6" 
                            name="Power"/>
                        </td>
                        <td style="width: 50px;">
                          <input
                            value=" Go " 
                            name="RotateAngle" 
                            type="submit"/>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </form>
              </td>
            </tr>
            <tr>
              <td>
                <form name="CustomPower" action="" method="post">
                  <table class="style2" width="100%">
                    <tbody>
                      <tr>
                        <th colspan="4" style="text-align: left">Custom Power</th>
                      </tr>
                      <tr>
                        <td rowspan="2">
                          <img alt="Supply a specific power to each wheel." src="/Resources/SegwayServices.Y2007.M03/Robotics.SegwayServices.CustomPower.png"/>
                        </td>
                        <td style="height: 19px;">Left Wheel Power</td>
                        <td style="height: 19px;">Right Wheel Power</td>
                        <td style="height: 19px;"></td>
                      </tr>
                      <tr>
                        <td style="width: 150px;">
                          <input size="15" value="0.6" name="LeftPower"/>
                        </td>
                        <td style="width: 150px;">
                          <input size="15" value="0.6" name="RightPower"/>
                        </td>
                        <td style="width: 50px;">
                          <input value=" Go " name="CustomPower" type="submit"/>
                        </td>
                      </tr>
                    </tbody>
                  </table>
                </form>
              </td>
            </tr>
            <tr>
              <td></td>
            </tr>
          </tbody>
        </table>

      </body>
    </html>

  </xsl:template>
</xsl:stylesheet>